MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031621Open CASCADE[OCCT] OCCT:DRAWpublic2020-06-20 14:532020-06-28 12:48
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031621: Draw Harness - handle navigation keys
DescriptionIt is desired handling navigation keys within Draw Harness in 3D Viewer.
Steps To Reproduce- Start Draw Harness.
- Create 3D Viewer and display some scene.
- Press buttons WASD / Arrows with 3D View window in focus.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0030507closedbugmaster Visualization - introduce AIS_ViewController 

-  Notes
(0092621)
git (administrator)
2020-06-20 16:20

Branch CR31621 has been created by kgv.

SHA-1: c1377f3f07222e75c894fe1ac5114aa45384dd54


Detailed log of new commits:

Author: kgv
Date: Sat Jun 20 14:57:02 2020 +0300

    0031621: Draw Hanress - handle navigation keys
    
    AIS_ViewController::handleNavigationKeys() - added an interface for processing navigation keys.
    ViewerTest_EventManager now maps WASD+Arrows navigation keys.
    Axonometric view hotkey A has been replaced by Backspace.
    Shaded/Wireframe are now mapped with hotkeys W+Ctrl/S+Ctrl.
    Hotkey D (reset view to undefined default state) has been removed.
(0092622)
git (administrator)
2020-06-20 16:21

Branch CR31621 has been updated forcibly by kgv.

SHA-1: 21e14a08da438ea2163d5fa8b3e1eaf7abf922cb
(0092624)
kgv (developer)
2020-06-20 19:05

Patch is ready for review in OCCT branch CR31621.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31621-master-KGV/ [^]
(0092658)
git (administrator)
2020-06-22 15:23

Branch CR31621 has been updated forcibly by kgv.

SHA-1: 7389fbd91ee24ecaf8f6d5f81cdc1a2d75b398ed
(0092714)
git (administrator)
2020-06-25 13:17

Branch CR31621 has been updated by kgv.

SHA-1: be2153025c050664b80d0207cb5e1a49ea2a1c4c


Detailed log of new commits:

Author: kgv
Date: Thu Jun 25 13:19:11 2020 +0300

    # Aspect_VKey_Escape - add missing break

(0092715)
git (administrator)
2020-06-25 13:18

Branch CR31621_1 has been created by kgv.

SHA-1: c48bdb0ef701f614fe75b81f011605610cb3a1b3


Detailed log of new commits:

Author: kgv
Date: Sat Jun 20 14:57:02 2020 +0300

    0031621: Draw Harness - handle navigation keys
    
    AIS_ViewController::handleNavigationKeys() - added an interface for processing navigation keys.
    ViewerTest_EventManager now maps WASD+Arrows navigation keys.
    Axonometric view hotkey A has been replaced by Backspace.
    Shaded/Wireframe are now mapped with hotkeys W+Ctrl/S+Ctrl.
    Hotkey D (reset view to undefined default state) has been removed.
(0092791)
bugmaster (administrator)
2020-06-28 11:28

Combination -
OCCT branch : IR-2020-06-26
master SHA - 832a6f4412321ca784bbb36916dc740d04a05c0c
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-06-26 SHA - 180ab3ca4e501bda3da57c99a8ac8b220db33df3
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17164.36000000016 / 17160.400000000114 [+0.02%]
Products
Total CPU difference: 11173.720000000081 / 11197.400000000112 [-0.21%]
Windows-64-VC14:
OCCT
Total CPU difference: 18707.65625 / 18650.578125 [+0.31%]
Products
Total CPU difference: 13062.6875 / 13012.71875 [+0.38%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092798)
git (administrator)
2020-06-28 12:48

Branch CR31621_1 has been deleted by inv.

SHA-1: c48bdb0ef701f614fe75b81f011605610cb3a1b3
(0092799)
git (administrator)
2020-06-28 12:48

Branch CR31621 has been deleted by inv.

SHA-1: be2153025c050664b80d0207cb5e1a49ea2a1c4c

- Related Changesets
occt: master d22962e4
Timestamp: 2020-06-20 11:57:02
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031621: Draw Harness - handle navigation keys

AIS_ViewController::handleNavigationKeys() - added an interface for processing navigation keys.
ViewerTest_EventManager now maps WASD+Arrows navigation keys.
Axonometric view hotkey A has been replaced by Backspace.
Shaded/Wireframe are now mapped with hotkeys W+Ctrl/S+Ctrl.
Hotkey D (reset view to undefined default state) has been removed.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - src/AIS/AIS_ViewController.cxx Diff ] File ]
mod - src/AIS/AIS_ViewController.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_EventManager.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_EventManager.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-06-20 14:53 kgv New Issue
2020-06-20 14:53 kgv Assigned To => kgv
2020-06-20 16:20 git Note Added: 0092621
2020-06-20 16:21 kgv Relationship added child of 0030507
2020-06-20 16:21 kgv Summary Draw Hanress - handle navigation keys => Draw Harness - handle navigation keys
2020-06-20 16:21 git Note Added: 0092622
2020-06-20 19:05 kgv Note Added: 0092624
2020-06-20 19:05 kgv Assigned To kgv => nds
2020-06-20 19:05 kgv Status new => resolved
2020-06-20 19:05 kgv Steps to Reproduce Updated View Revisions
2020-06-20 19:06 kgv Steps to Reproduce Updated View Revisions
2020-06-22 15:23 git Note Added: 0092658
2020-06-22 15:40 nds Assigned To nds => bugmaster
2020-06-22 15:40 nds Status resolved => reviewed
2020-06-25 13:17 git Note Added: 0092714
2020-06-25 13:18 git Note Added: 0092715
2020-06-28 11:28 bugmaster Note Added: 0092791
2020-06-28 11:28 bugmaster Status reviewed => tested
2020-06-28 11:33 bugmaster Test case number => Not required
2020-06-28 12:35 bugmaster Changeset attached => occt master d22962e4
2020-06-28 12:35 bugmaster Status tested => verified
2020-06-28 12:35 bugmaster Resolution open => fixed
2020-06-28 12:48 git Note Added: 0092798
2020-06-28 12:48 git Note Added: 0092799


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker